RP Installer Displays Wrong Message When Overriding the RP on Solaris (Doc ID 2279665.1)

Last updated on JUNE 22, 2017

Applies to:

Oracle Tuxedo - Version 12.1.1 to 12.1.1 [Release 12c]
Oracle Solaris on SPARC (64-bit)

Symptoms

When install rolling patch , if already RP installed , following message
displayed.

bash-3.00$ ./install
Installing server and client files...
./install[6]: installed: bad number
Enter owner for patch files:

But RP install will be succeed.

Expected behavior, if existing RP is old, no error message.
if same or newer RP, following message should be displayed.

** Error: You are installing an existed or older RP!

 

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms